require File.expand_path('./lib/capistrano/quick_ssh/version.rb')

Gem::Specification.new do |s|
  s.specification_version = 2 if s.respond_to? :specification_version=
  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=

  ## Leave these as is they will be modified for you by the rake gemspec task.
  ## If your rubyforge_project name is different, then edit it and comment out
  ## the sub! line in the Rakefile
  s.name              = 'capistrano_ssh_tool'
  s.version           = CapistranoEasySSH::Version.to_s
  s.date              = Time.now.strftime("%Y-%m-%d")
  s.license           = 'MIT'

  ## Make sure your summary is short. The description may be as long
  ## as you like.
  s.summary     = "Capistrano extension for easy ssh access into a specific environment's machines"
  s.description = "Capistrano extension for easy ssh access into a specific environment's machines"

  ## List the primary authors. If there are a bunch of authors, it's probably
  ## better to set the email to an email list or something. If you don't have
  ## a custom homepage, consider using your GitHub URL or the like.
  s.authors  = ["Yossi Shemesh"]
  s.email    = 'yossi@yshemesh.com'
  s.homepage = 'https://github.com/yosefsun/capistrano_quick_ssh'

  ## This sections is only necessary if you have C extensions.
  # s.require_paths << 'ext'
  # s.extensions = %w[ext/extconf.rb]

  ## If your gem includes any executables, list them here.
  s.executables = []

  ## Specify any RDoc options here. You'll want to add your README and
  ## LICENSE files to the extra_rdoc_files list.
  s.rdoc_options = ["--charset=UTF-8"]
  s.extra_rdoc_files = %w[README.rdoc]

  ## List your runtime dependencies here. Runtime dependencies are those
  ## that are needed for an end user to actually USE your code.
  s.add_dependency('capistrano', '>= 3.0.0')

  ## List your development dependencies here. Development dependencies are
  ## those that are only needed during development
  #s.add_development_dependency('rake')

  s.files = `git ls-files`.split("\n")
  s.test_files = `git ls-files -- {spec,tests}/*`.split("\n")
end
